datacache <- new.env(hash=TRUE, parent=emptyenv())

org.Mm.eg <- function() showQCData("org.Mm.eg", datacache)
org.Mm.eg_dbconn <- function() dbconn(datacache)
org.Mm.eg_dbfile <- function() dbfile(datacache)
org.Mm.eg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
org.Mm.eg_dbInfo <- function() dbInfo(datacache)

org.Mm.egORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "org.Mm.eg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSE_DB("org.Mm.eg", "Mouse", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(org.Mm.eg_dbconn())
}

